Agora RTC Objective-C API Reference Refactor

Data Fields
RtcConnectionConfiguration Struct Reference

## Data Fields
bool | autoSubscribeAudio
bool | autoSubscribeVideo
bool | enableAudioRecordingOrPlayout
int | maxSendBitrate
int | minPort
int | maxPort
CLIENT_ROLE_TYPE | clientRoleType
CHANNEL_PROFILE_TYPE | channelProfile
bool | audioRecvEncodedFrame
bool | audioRecvMediaPacket
bool | videoRecvMediaPacket
bool | isInteractiveAudience
bool | isDataChannelOnly

## Detailed Description

Configurations for an RTC connection.

Set these configurations when calling createRtcConnection.

## Constructor & Destructor Documentation

## ◆ RtcConnectionConfiguration()

RtcConnectionConfiguration | ( |  | ) |
| inline

## Field Documentation

## ◆ autoSubscribeAudio

bool autoSubscribeAudio

Whether to subscribe to all audio tracks automatically.

- `true`: (Default) Subscribe to all audio tracks automatically.
- `false`: Do not subscribe to any audio track automatically.

## ◆ autoSubscribeVideo

bool autoSubscribeVideo

Whether to subscribe to all video tracks automatically.

- `true`: (Default) Subscribe to all video tracks automatically.
- `false`: Do not subscribe to any video track automatically.

## ◆ enableAudioRecordingOrPlayout

bool enableAudioRecordingOrPlayout

Whether to enable audio recording or playout.

- `true`: Enables audio recording or playout. Use this option when you publish and mix audio tracks, or subscribe to one or multiple audio tracks and play audio.
- `false`: Disables audio recording or playout. Use this option when you publish external audio frames without audio mixing, or you do not need audio devices to play audio.

## ◆ maxSendBitrate

int maxSendBitrate

The maximum sending bitrate.

## ◆ minPort

int minPort

The minimum port.

## ◆ maxPort

int maxPort

The maximum port.

## ◆ clientRoleType

CLIENT_ROLE_TYPE clientRoleType

The user role. For details, see CLIENT_ROLE_TYPE. The default user role is `CLIENT_ROLE_AUDIENCE`.

## ◆ channelProfile

CHANNEL_PROFILE_TYPE channelProfile

The channel profile. For details, see CHANNEL_PROFILE_TYPE. The default channel profile is `CHANNEL_PROFILE_LIVE_BROADCASTING`.

## ◆ audioRecvEncodedFrame

bool audioRecvEncodedFrame

Determines whether to receive audio encoded frame or not.

## ◆ audioRecvMediaPacket

bool audioRecvMediaPacket

Determines whether to receive audio media packet or not.

## ◆ videoRecvMediaPacket

bool videoRecvMediaPacket

Determines whether to receive video media packet or not.

## ◆ isInteractiveAudience

bool isInteractiveAudience

This mode is only used for audience. In PK mode, client might join one channel as broadcaster, and join another channel as interactive audience to achieve low lentancy and smooth video from remote user.

- true: Enable low lentancy and smooth video when joining as an audience.
- false: (Default) Use default settings for audience role.

## ◆ isDataChannelOnly

bool isDataChannelOnly

Indicates data channel only.